[lttng-dev] [PATCH lttng-tools 4/6] Fix: test: utils.sh: exit from process on full_cleanup

Mathieu Desnoyers mathieu.desnoyers at efficios.com
Thu May 16 15:07:59 EDT 2019


Signed-off-by: Mathieu Desnoyers <mathieu.desnoyers at efficios.com>
---
 tests/utils/utils.sh | 1 +
 1 file changed, 1 insertion(+)

diff --git a/tests/utils/utils.sh b/tests/utils/utils.sh
index 53964027..ad3088d6 100644
--- a/tests/utils/utils.sh
+++ b/tests/utils/utils.sh
@@ -66,6 +66,7 @@ function full_cleanup ()
 	# The '-' before the pid number ($$) indicates 'kill' to signal the
 	# whole process group.
 	trap - SIGTERM && kill -- -$$
+	exit 1
 }
 
 function null_pipes ()
-- 
2.17.1



More information about the lttng-dev mailing list